Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006184OCamlOCamlbuild (the tool)public2013-09-19 19:282014-03-20 17:06
Reporterjpdeplaix 
Assigned Togasche 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.01.0 
Target VersionFixed in Version4.02.0+dev 
Summary0006184: the tag predicate(…) isn't supposed to be used with ocamldep
DescriptionAccording to the ocamlfind manual and the following test case, « ocamlfind ocamldep » isn't supposed to handle -predicates.
Steps To Reproduce_tags:
true: predicate(test)

test.ml:
(* empty *)

$ ocamlbuild -use-ocamlfind test.ml
ocamldep: unknown option `-predicates'.
Additional InformationThe attached and tested patch fixes this issue.
Tagspatch
Attached Filespatch file icon predicate_ocamlbuild.patch [^] (644 bytes) 2013-09-19 19:28 [Show Content]

- Relationships

-  Notes
(0011069)
gasche (developer)
2014-03-20 17:06

Fixed in trunk (14476), with a regression test (do consider adding tests in your next patches!). Thanks!

- Issue History
Date Modified Username Field Change
2013-09-19 19:28 jpdeplaix New Issue
2013-09-19 19:29 jpdeplaix File Added: predicate_ocamlbuild.patch
2013-09-21 19:32 jpdeplaix Tag Attached: patch
2014-03-20 17:06 gasche Note Added: 0011069
2014-03-20 17:06 gasche Status new => resolved
2014-03-20 17:06 gasche Fixed in Version => 4.02.0+dev
2014-03-20 17:06 gasche Resolution open => fixed
2014-03-20 17:06 gasche Assigned To => gasche


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker